#ifndef __MATRICE_H
#define __MATRICE_H

struct zmatrix {
  int n ; // nombre de lignes
  int m ; // nombre de colonnes
  float **M ; // la matrice nxm
} ;

typedef struct zmatrix mymatrix ;

// Allocation
mymatrix * creer (int n, int m) ;
// Destruction
void detruire (mymatrix *A) ;
// C = A+B
void somme (mymatrix *A, mymatrix *B, mymatrix *C) ;
// C = AxB
void prod (mymatrix *A, mymatrix *B, mymatrix *C) ;
// C = l.A
void point (float l, mymatrix *A, mymatrix *C) ;

void print_matrix(mymatrix *A) ;

#endif
